MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024829Community[OCCT] OCCT:Modeling Algorithmspublic2014-04-14 15:562014-11-11 12:57
Reporterws 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024829: sprops with precision throws an exception
DescriptionThe command 'sprops' invoked with the precision value 0.0001 throws an exception on the attached shape.
Steps To Reproducepload ALL
brestore faceOutput-wrong.brep a
sprops a 0.0001
TagsNo tags attached.
Test case numberbugs modalg_5(010) bug24829
Attached Fileszip file icon faceOutput-wrong.zip (555,625 bytes) 2014-04-14 15:57
? file icon GProp_SGProps.gxx (34,474 bytes) 2014-04-25 10:47

- Relationships

-  Notes
(0029067)
ws (reporter)
2014-04-25 10:47

I have been digging more into this issue and I found that the same issue appeared and has been solved in GProp_VGProps as well, so I have solved it accordingly (see attachment).
(0029070)
ifv (developer)
2014-04-25 11:34

Dear NBV, please review contribution and prepare branch for testing.
(0029076)
nbv (developer)
2014-04-25 15:09

Done in branch CR24829. Please review it.
(0029077)
ifv (developer)
2014-04-25 15:15

Ok
(0029144)
mkv (tester)
2014-04-29 18:16

Dear BugMaster,

Branch CR24829 (and products from GIT master) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 77f76f28b9eab7ae177033e227ef0b887866d938

Number of compiler warnings:

occt component :
Linux: 19 (18 on master)
Windows: 0 (0 on master)
MacOS: 352 (351 on master)

There is new additional compilation warning on Linux platform:
BRepGProp_Sinert.cxx:246, GNU C Compiler 4 (gcc), Priority: Normal
operation on ‘iEnd’ may be undefined

There is new additional compilation warning on MacOS platform:
BRepGProp_Sinert.cxx:246, GNU C Compiler 4 (gcc), Priority: Normal
unsequenced modification and access to 'iEnd' [-Wunsequenced]

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
bugs modalg_5(010) bug24829 - OK

Testing on Linux:
Total MEMORY difference: 355151712 / 355768204
Total CPU difference: 70417.41000000006 / 55245.89999999973

Testing on Windows:
Total MEMORY difference: 378920212 / 381791492
Total CPU difference: 35974.1875 / 43080.4375

There are no differences in images found by testdiff.
(0029150)
nbv (developer)
2014-04-30 09:29

Updated branch CR24829 is ready to review.
(0029154)
ifv (developer)
2014-04-30 09:55

Ok
(0029234)
mkv (tester)
2014-05-07 18:00

Dear BugMaster,

Branch CR24829 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: e29af2477d77fc15d3d4142249b195b20ee19a92

Number of compiler warnings:

occt component :
Linux: 18 (18 on master)
Windows: 0 (0 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
http://occt-tests/CR24829-master-occt/Debian60-64/bugs/modalg_5/bug24829.html [^]
http://occt-tests/CR24829-master-occt/Windows-32-VC9/bugs/modalg_5/bug24829.html [^]
bugs modalg_5(010) bug24829 - OK

Testing on Linux:
Total MEMORY difference: 352599796 / 352650724
Total CPU difference: 53472.699999999604 / 52915.3399999998

Testing on Windows:
Total MEMORY difference: 379498356 / 379857772
Total CPU difference: 33596.75 / 36615.515625

There are no differences in images found by testdiff.

- Related Changesets
occt: master e97a6598
Timestamp: 2014-05-08 07:53:41
Author: nbv
Committer: bugmaster
Details ] Diff ]
0024829: sprops with precision throws an exception

Reason of exception is reading nonexistent element of array.

Test case for issue CR24829
mod - src/BRepGProp/BRepGProp_Sinert.cxx Diff ] File ]
add - tests/bugs/modalg_5/bug24829 Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-04-14 15:56 szv New Issue
2014-04-14 15:56 szv Assigned To => ifv
2014-04-14 15:57 szv File Added: faceOutput-wrong.zip
2014-04-15 10:38 bugmaster Project Open CASCADE => Community
2014-04-15 10:44 bugmaster Reporter szv => ws
2014-04-25 10:47 ws Note Added: 0029067
2014-04-25 10:47 ws File Added: GProp_SGProps.gxx
2014-04-25 11:33 ifv Assigned To ifv => nbv
2014-04-25 11:34 ifv Note Added: 0029070
2014-04-25 11:34 ifv Status new => assigned
2014-04-25 15:08 nbv Assigned To nbv => ws
2014-04-25 15:09 nbv Note Added: 0029076
2014-04-25 15:09 nbv Assigned To ws => ifv
2014-04-25 15:09 nbv Status assigned => resolved
2014-04-25 15:15 ifv Note Added: 0029077
2014-04-25 15:15 ifv Status resolved => reviewed
2014-04-25 17:55 mkv Assigned To ifv => mkv
2014-04-29 18:16 mkv Note Added: 0029144
2014-04-29 18:17 mkv Test case number => bugs modalg_5(010) bug24829
2014-04-29 18:17 mkv Assigned To mkv => nbv
2014-04-29 18:17 mkv Status reviewed => assigned
2014-04-30 09:29 nbv Note Added: 0029150
2014-04-30 09:29 nbv Assigned To nbv => ifv
2014-04-30 09:29 nbv Status assigned => resolved
2014-04-30 09:55 ifv Note Added: 0029154
2014-04-30 09:55 ifv Status resolved => reviewed
2014-04-30 11:35 mkv Assigned To ifv => mkv
2014-05-07 18:00 mkv Note Added: 0029234
2014-05-07 18:00 mkv Assigned To mkv => bugmaster
2014-05-07 18:00 mkv Status reviewed => tested
2014-05-12 16:20 bugmaster Changeset attached => occt master e97a6598
2014-05-12 16:20 bugmaster Status tested => verified
2014-05-12 16:20 bugmaster Resolution open => fixed
2014-08-05 14:27 bugmaster Target Version => 6.8.0
2014-11-11 12:46 user533 Fixed in Version => 6.8.0
2014-11-11 12:57 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker